1. deepakcg's Avatar
    hello guys,

    i recetly got a error on my iphone 2G (2.2.1 FW) which says this iphone unable to make or receive calls pls restore ur iphone
    after i got this error i downgraded my iphone to 1.1.4 Firmware and to 4.04.05 baseband. I now have a 1.1.4 locked iphone 2G.

    what should i do now, to which firmware should i now update my iphone to unlock & jailbreak it.

    i have heard that the 2.2.1 FW has some issue ?

    pls guide me !!!
    2009-04-23 03:08 PM
  2. sursture's Avatar
    hmmm ... if you upgrade using Apple FW 2.2.1 - u will be locked into baseband 2.30.00 ...
    There are ways to downgrade - but a simple shift/restore is NOT enough.
    Double check under Settings/General/About to verify what baseband u are on. If on 2.30.00 u need 2 Google...
    2009-04-23 04:13 PM
  3. rburg's Avatar
    hmmm ... if you upgrade using Apple FW 2.2.1 - u will be locked into baseband 2.30.00 ...
    There are ways to downgrade - but a simple shift/restore is NOT enough.
    Double check under Settings/General/About to verify what baseband u are on. If on 2.30.00 u need 2 Google...
    Umm he's on a 2g phone... They don't have the same fw as a 3g and furthermore a 3g is not capable of running fw prior to 2.0.

    As to your problem I'm sure they're is an easy solution to it but unfortunately I am not very familiar with with the 2g iPhones

    You know I would just update to the latest firmware (2.2.1 in your case) and quickpwn, I'm pretty sure that'll solve your problems. 2.2.1 is not buggy from my experience so you shouldn't experience any significant problems.
    2009-04-23 06:00 PM
LINK TO POST COPIED TO CLIPBOARD